<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (13.0.1) on Tue Mar 24 19:24:09 CET 2020 -->
<title>Serialized Form</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-03-24">
<meta name="description" content="serialized forms">
<meta name="generator" content="javadoc/SerializedFormWriterImpl">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.js"></script>
</head>
<body class="serialized-form">
<script type="text/javascript">var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="fr/JeuEchec/christophegarcia/package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="Serialized Form" class="title">Serialized Form</h1>
</div>
<div class="serializedFormContainer">
<ul class="blockList">
<li class="blockList">
<section class="serializedPackageContainer">
<h2 title="Package">Package&nbsp;fr.JeuEchec.christophegarcia</h2>
<ul class="blockList">
<li class="blockList">
<section class="serializedClassDetails"><a id="fr.JeuEchec.christophegarcia.EditNoms">
<!--   -->
</a>
<h3>Class fr.JeuEchec.christophegarcia.EditNoms extends javax.swing.JFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="blockList">
<li class="blockList">
<h5>jtfNomJoueur1</h5>
<pre>javax.swing.JTextField jtfNomJoueur1</pre>
</li>
<li class="blockList">
<h5>jtfNomJoueur2</h5>
<pre>javax.swing.JTextField jtfNomJoueur2</pre>
</li>
<li class="blockList">
<h5>labelContrainte</h5>
<pre>javax.swing.JLabel labelContrainte</pre>
</li>
<li class="blockList">
<h5>labelNomJoueur1</h5>
<pre>javax.swing.JLabel labelNomJoueur1</pre>
</li>
<li class="blockList">
<h5>labelNomJoueur2</h5>
<pre>javax.swing.JLabel labelNomJoueur2</pre>
</li>
<li class="blockList">
<h5>labelTitre</h5>
<pre>javax.swing.JLabel labelTitre</pre>
</li>
<li class="blockList">
<h5>nomJoueur1</h5>
<pre>java.lang.String nomJoueur1</pre>
</li>
<li class="blockList">
<h5>nomJoueur2</h5>
<pre>java.lang.String nomJoueur2</pre>
</li>
<li class="blockList">
<h5>panelContrainte</h5>
<pre>javax.swing.JPanel panelContrainte</pre>
</li>
<li class="blockList">
<h5>panelNomJoueur1</h5>
<pre>javax.swing.JPanel panelNomJoueur1</pre>
</li>
<li class="blockList">
<h5>panelNomJoueur2</h5>
<pre>javax.swing.JPanel panelNomJoueur2</pre>
</li>
<li class="blockList">
<h5>panelPrincipalNomJoueurs</h5>
<pre>javax.swing.JPanel panelPrincipalNomJoueurs</pre>
</li>
<li class="blockList">
<h5>panelTitre</h5>
<pre>javax.swing.JPanel panelTitre</pre>
</li>
<li class="blockList">
<h5>policeJTF</h5>
<pre>java.awt.Font policeJTF</pre>
</li>
<li class="blockList">
<h5>policeLabels</h5>
<pre>java.awt.Font policeLabels</pre>
</li>
<li class="blockList">
<h5>policeTitre</h5>
<pre>java.awt.Font policeTitre</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section class="serializedClassDetails"><a id="fr.JeuEchec.christophegarcia.Fenetre">
<!--   -->
</a>
<h3>Class fr.JeuEchec.christophegarcia.Fenetre extends javax.swing.JFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="blockList">
<li class="blockList">
<h5>affichage1SEC</h5>
<pre>boolean affichage1SEC</pre>
</li>
<li class="blockList">
<h5>affichage2SEC</h5>
<pre>boolean affichage2SEC</pre>
</li>
<li class="blockList">
<h5>boutonAbandonner</h5>
<pre>javax.swing.JButton boutonAbandonner</pre>
</li>
<li class="blockList">
<h5>boutonChangerNom</h5>
<pre>javax.swing.JButton boutonChangerNom</pre>
</li>
<li class="blockList">
<h5>boutonOptions</h5>
<pre>javax.swing.JButton boutonOptions</pre>
</li>
<li class="blockList">
<h5>boutonValiderNomJoueurs</h5>
<pre>javax.swing.JButton boutonValiderNomJoueurs</pre>
</li>
<li class="blockList">
<h5>cavalierMortDroiteLabel</h5>
<pre>javax.swing.JLabel cavalierMortDroiteLabel</pre>
</li>
<li class="blockList">
<h5>cavalierMortGaucheLabel</h5>
<pre>javax.swing.JLabel cavalierMortGaucheLabel</pre>
</li>
<li class="blockList">
<h5>cavalierPanel</h5>
<pre>javax.swing.JPanel cavalierPanel</pre>
</li>
<li class="blockList">
<h5>clip</h5>
<pre>javax.sound.sampled.Clip clip</pre>
</li>
<li class="blockList">
<h5>colorBackground</h5>
<pre>java.awt.Color colorBackground</pre>
</li>
<li class="blockList">
<h5>colorNbPiecesMortes</h5>
<pre>java.awt.Color colorNbPiecesMortes</pre>
</li>
<li class="blockList">
<h5>couleurTourNoir</h5>
<pre>javax.swing.JLabel couleurTourNoir</pre>
</li>
<li class="blockList">
<h5>fouMortDroiteLabel</h5>
<pre>javax.swing.JLabel fouMortDroiteLabel</pre>
</li>
<li class="blockList">
<h5>fouMortGaucheLabel</h5>
<pre>javax.swing.JLabel fouMortGaucheLabel</pre>
</li>
<li class="blockList">
<h5>fouPanel</h5>
<pre>javax.swing.JPanel fouPanel</pre>
</li>
<li class="blockList">
<h5>gridLayout1</h5>
<pre>java.awt.GridLayout gridLayout1</pre>
</li>
<li class="blockList">
<h5>imageTourBlanc</h5>
<pre>javax.swing.JPanel imageTourBlanc</pre>
</li>
<li class="blockList">
<h5>imageTourNoir</h5>
<pre>javax.swing.JPanel imageTourNoir</pre>
</li>
<li class="blockList">
<h5>labelTitre</h5>
<pre>javax.swing.JLabel labelTitre</pre>
</li>
<li class="blockList">
<h5>nbCavalierMortDroite</h5>
<pre>int nbCavalierMortDroite</pre>
</li>
<li class="blockList">
<h5>nbCavalierMortGauche</h5>
<pre>int nbCavalierMortGauche</pre>
</li>
<li class="blockList">
<h5>nbFouMortDroite</h5>
<pre>int nbFouMortDroite</pre>
</li>
<li class="blockList">
<h5>nbFouMortGauche</h5>
<pre>int nbFouMortGauche</pre>
</li>
<li class="blockList">
<h5>nbPionMortDroite</h5>
<pre>int nbPionMortDroite</pre>
</li>
<li class="blockList">
<h5>nbPionMortGauche</h5>
<pre>int nbPionMortGauche</pre>
</li>
<li class="blockList">
<h5>nbReineMortDroite</h5>
<pre>int nbReineMortDroite</pre>
</li>
<li class="blockList">
<h5>nbReineMortGauche</h5>
<pre>int nbReineMortGauche</pre>
</li>
<li class="blockList">
<h5>nbTourMortDroite</h5>
<pre>int nbTourMortDroite</pre>
</li>
<li class="blockList">
<h5>nbTourMortGauche</h5>
<pre>int nbTourMortGauche</pre>
</li>
<li class="blockList">
<h5>nomJoueursFont</h5>
<pre>java.awt.Font nomJoueursFont</pre>
</li>
<li class="blockList">
<h5>panelDroite</h5>
<pre>javax.swing.JPanel panelDroite</pre>
</li>
<li class="blockList">
<h5>panelEchiquier</h5>
<pre>javax.swing.JPanel panelEchiquier</pre>
</li>
<li class="blockList">
<h5>panelGauche</h5>
<pre>javax.swing.JPanel panelGauche</pre>
</li>
<li class="blockList">
<h5>panelMortDroite</h5>
<pre>javax.swing.JPanel panelMortDroite</pre>
</li>
<li class="blockList">
<h5>panelMortGauche</h5>
<pre>javax.swing.JPanel panelMortGauche</pre>
</li>
<li class="blockList">
<h5>panelNomJDroite</h5>
<pre>javax.swing.JPanel panelNomJDroite</pre>
</li>
<li class="blockList">
<h5>panelNomJGauche</h5>
<pre>javax.swing.JPanel panelNomJGauche</pre>
</li>
<li class="blockList">
<h5>panelPrincipal</h5>
<pre>javax.swing.JPanel panelPrincipal</pre>
</li>
<li class="blockList">
<h5>panelTitre</h5>
<pre>javax.swing.JPanel panelTitre</pre>
</li>
<li class="blockList">
<h5>pionMortDroiteLabel</h5>
<pre>javax.swing.JLabel pionMortDroiteLabel</pre>
</li>
<li class="blockList">
<h5>pionMortGaucheLabel</h5>
<pre>javax.swing.JLabel pionMortGaucheLabel</pre>
</li>
<li class="blockList">
<h5>policeNbPiecesMortes</h5>
<pre>java.awt.Font policeNbPiecesMortes</pre>
</li>
<li class="blockList">
<h5>policeTitre</h5>
<pre>java.awt.Font policeTitre</pre>
</li>
<li class="blockList">
<h5>posXPiecePEP</h5>
<pre>int posXPiecePEP</pre>
</li>
<li class="blockList">
<h5>posYPiecePEP</h5>
<pre>int posYPiecePEP</pre>
</li>
<li class="blockList">
<h5>reineMortDroiteLabel</h5>
<pre>javax.swing.JLabel reineMortDroiteLabel</pre>
</li>
<li class="blockList">
<h5>reineMortGaucheLabel</h5>
<pre>javax.swing.JLabel reineMortGaucheLabel</pre>
</li>
<li class="blockList">
<h5>reinePanel</h5>
<pre>javax.swing.JPanel reinePanel</pre>
</li>
<li class="blockList">
<h5>tempsSecondes</h5>
<pre>int tempsSecondes</pre>
</li>
<li class="blockList">
<h5>tourMortDroiteLabel</h5>
<pre>javax.swing.JLabel tourMortDroiteLabel</pre>
</li>
<li class="blockList">
<h5>tourMortGaucheLabel</h5>
<pre>javax.swing.JLabel tourMortGaucheLabel</pre>
</li>
<li class="blockList">
<h5>tourPanel</h5>
<pre>javax.swing.JPanel tourPanel</pre>
</li>
<li class="blockList">
<h5>vertTourBlanc</h5>
<pre>javax.swing.JPanel vertTourBlanc</pre>
</li>
<li class="blockList">
<h5>vertTourNoir</h5>
<pre>javax.swing.JPanel vertTourNoir</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section class="serializedClassDetails"><a id="fr.JeuEchec.christophegarcia.FinDePartie">
<!--   -->
</a>
<h3>Class <a href="fr/JeuEchec/christophegarcia/FinDePartie.html" title="class in fr.JeuEchec.christophegarcia">fr.JeuEchec.christophegarcia.FinDePartie</a> extends javax.swing.JFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="blockList">
<li class="blockList">
<h5>couleurFond</h5>
<pre>java.awt.Color couleurFond</pre>
</li>
<li class="blockList">
<h5>labelAbandon</h5>
<pre>javax.swing.JLabel labelAbandon</pre>
</li>
<li class="blockList">
<h5>labelEchecEtMat</h5>
<pre>javax.swing.JLabel labelEchecEtMat</pre>
</li>
<li class="blockList">
<h5>labelMat</h5>
<pre>javax.swing.JLabel labelMat</pre>
</li>
<li class="blockList">
<h5>labelTitre</h5>
<pre>javax.swing.JLabel labelTitre</pre>
</li>
<li class="blockList">
<h5>labelVNB</h5>
<pre>javax.swing.JLabel labelVNB</pre>
</li>
<li class="blockList">
<h5>panelAbandon</h5>
<pre>javax.swing.JPanel panelAbandon</pre>
</li>
<li class="blockList">
<h5>panelEchecEtMat</h5>
<pre>javax.swing.JPanel panelEchecEtMat</pre>
</li>
<li class="blockList">
<h5>panelMat</h5>
<pre>javax.swing.JPanel panelMat</pre>
</li>
<li class="blockList">
<h5>panelPrincipal</h5>
<pre>javax.swing.JPanel panelPrincipal</pre>
</li>
<li class="blockList">
<h5>panelTitre</h5>
<pre>javax.swing.JPanel panelTitre</pre>
</li>
<li class="blockList">
<h5>panelVNB</h5>
<pre>javax.swing.JPanel panelVNB</pre>
</li>
<li class="blockList">
<h5>policeMiniTitres</h5>
<pre>java.awt.Font policeMiniTitres</pre>
</li>
<li class="blockList">
<h5>policeTitre</h5>
<pre>java.awt.Font policeTitre</pre>
</li>
<li class="blockList">
<h5>policeVictoireBN</h5>
<pre>java.awt.Font policeVictoireBN</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section class="serializedClassDetails"><a id="fr.JeuEchec.christophegarcia.NomJoueurs">
<!--   -->
</a>
<h3>Class fr.JeuEchec.christophegarcia.NomJoueurs extends javax.swing.JFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="blockList">
<li class="blockList">
<h5>jtfNomJoueur1</h5>
<pre>javax.swing.JTextField jtfNomJoueur1</pre>
</li>
<li class="blockList">
<h5>jtfNomJoueur2</h5>
<pre>javax.swing.JTextField jtfNomJoueur2</pre>
</li>
<li class="blockList">
<h5>labelContrainte</h5>
<pre>javax.swing.JLabel labelContrainte</pre>
</li>
<li class="blockList">
<h5>labelNomJoueur1</h5>
<pre>javax.swing.JLabel labelNomJoueur1</pre>
</li>
<li class="blockList">
<h5>labelNomJoueur2</h5>
<pre>javax.swing.JLabel labelNomJoueur2</pre>
</li>
<li class="blockList">
<h5>labelTitre</h5>
<pre>javax.swing.JLabel labelTitre</pre>
</li>
<li class="blockList">
<h5>nomJoueur1</h5>
<pre>java.lang.String nomJoueur1</pre>
</li>
<li class="blockList">
<h5>nomJoueur2</h5>
<pre>java.lang.String nomJoueur2</pre>
</li>
<li class="blockList">
<h5>panelContrainte</h5>
<pre>javax.swing.JPanel panelContrainte</pre>
</li>
<li class="blockList">
<h5>panelNomJoueur1</h5>
<pre>javax.swing.JPanel panelNomJoueur1</pre>
</li>
<li class="blockList">
<h5>panelNomJoueur2</h5>
<pre>javax.swing.JPanel panelNomJoueur2</pre>
</li>
<li class="blockList">
<h5>panelPrincipalNomJoueurs</h5>
<pre>javax.swing.JPanel panelPrincipalNomJoueurs</pre>
</li>
<li class="blockList">
<h5>panelTitre</h5>
<pre>javax.swing.JPanel panelTitre</pre>
</li>
<li class="blockList">
<h5>policeJTF</h5>
<pre>java.awt.Font policeJTF</pre>
</li>
<li class="blockList">
<h5>policeLabels</h5>
<pre>java.awt.Font policeLabels</pre>
</li>
<li class="blockList">
<h5>policeTitre</h5>
<pre>java.awt.Font policeTitre</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section class="serializedClassDetails"><a id="fr.JeuEchec.christophegarcia.Parametres">
<!--   -->
</a>
<h3>Class fr.JeuEchec.christophegarcia.Parametres extends javax.swing.JFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="blockList">
<li class="blockList">
<h5>labelEchiquier</h5>
<pre>javax.swing.JLabel labelEchiquier</pre>
</li>
<li class="blockList">
<h5>labelSon</h5>
<pre>javax.swing.JLabel labelSon</pre>
</li>
<li class="blockList">
<h5>labelTitre</h5>
<pre>javax.swing.JLabel labelTitre</pre>
</li>
<li class="blockList">
<h5>panelEchiquierTitre</h5>
<pre>javax.swing.JPanel panelEchiquierTitre</pre>
</li>
<li class="blockList">
<h5>panelPrincipalParametres</h5>
<pre>javax.swing.JPanel panelPrincipalParametres</pre>
</li>
<li class="blockList">
<h5>panelSonTitre</h5>
<pre>javax.swing.JPanel panelSonTitre</pre>
</li>
<li class="blockList">
<h5>panelTitre</h5>
<pre>javax.swing.JPanel panelTitre</pre>
</li>
<li class="blockList">
<h5>policeLabels</h5>
<pre>java.awt.Font policeLabels</pre>
</li>
<li class="blockList">
<h5>policeTitre</h5>
<pre>java.awt.Font policeTitre</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="fr/JeuEchec/christophegarcia/package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
